package es.verdnatura.presentation.view.feature.historicoarticulo.model

import android.os.Build
import androidx.annotation.RequiresApi
import es.verdnatura.domain.isoToString

class ItemHistoricoVO(
    //var shipped: String? = null,
    var stateName: String? = null,
    var originId: Int? = null,
    var reference: String? = null,
    var entityId: Int? = null,
    var entityName: String? = null,
    var invalue: Int? = null,
    var out: Int? = null,
    var balance: Int? = null,
    var isTicket: Int? = 0,
    var order: Int? = 0,
) {
    var shipped: String = ""
        @RequiresApi(Build.VERSION_CODES.O)
        get() {
            return field.isoToString(returnOnlyDate = true)
        }
}

class ItemHistoricoListVO(
    var list: List<ItemHistoricoVO> = listOf()
)
